Subject: Re: bug#4533: 23.1: reverting fails to update line ending mode line

From: Dani Moncayo <[email-masked]>
Date: Sun, 14 Nov 2010 21:23:12 +0100

On Sun, Nov 14, 2010 at 6:32 PM, Chong Yidong <[email-masked]> wrote:
> Eli Zaretskii <[email-masked]> writes:
>
>> Why is this a real problem?  I can handle this situation with
>>
>>     C-x RET c undecided RET M-x revert-buffer RET
>
> Sure; you can also kill the buffer and visit the file again with
> C-x C-f, making the revert-buffer command redundant.  That's not really
> the point.
>
> The fact that revert-buffer correctly changes the coding system if you
> do one thing (i.e. visit the file but haven't yet saved), and does
> another thing if you do another (i.e. save some changes first) indicates
> that this is a real bug.
>

Isn't this bug a duplicated from bug #7383? (Actually, bug #7383 is
about two different problems)